#GENERATION OF RESULTS OF COMPOSITIONAL ANALYSIS IN SECTION 3.1.2.: "Overall and seasonal use of habitat types"


#Load required R package
library(adehabitatHS)


#Load data 
Dataset.compana <- read.table() 


#Create datasets of habitat availability and use (including winter barley in the category "other")
Dataset.compana.available <- Dataset.compana[,c(1,3:9)]
Dataset.compana.available$Other_available_percentage <- Dataset.compana.available$Winter_barley_available_percentage + Dataset.compana.available$Other_available_percentage
Dataset.compana.available <- Dataset.compana.available[,-7]
colnames(Dataset.compana.available) <- c("Nest_id", "Winter_wheat_percentage", "Sugar_beet_percentage", "Corn_percentage", "Annual_flower_strip_percentage", "Field_path_percentage", "Other_percentage")

Dataset.compana.used <- Dataset.compana[,c(1,10:16)]
Dataset.compana.used$Other_used_percentage <- Dataset.compana.used$Winter_barley_used_percentage + Dataset.compana.used$Other_used_percentage
Dataset.compana.used <- Dataset.compana.used[,-7]
colnames(Dataset.compana.used) <- c("Nest_id", "Winter_wheat_percentage", "Sugar_beet_percentage", "Corn_percentage", "Annual_flower_strip_percentage", "Field_path_percentage", "Other_percentage")


#Run compositional analysis (Please note: results might slightly differ from those given in the manuscript due to data randomisation)
Compositional.Analysis <- compana(Dataset.compana.used[, c(2:7)], Dataset.compana.available[, c(2:7)], test = "randomisation", rnv = 0.001, nrep = 1000, alpha = 0.05)
print(Compositional.Analysis$test)




#GENERATION OF RESULTS OF COMPOSITIONAL ANALYSIS IN SECTION 4.1.2.: "Overall and seasonal use of habitat types"


#Load data 
Dataset.compana <- read.table() 


#Create datasets of habitat availability and use (including winter barley in the category "other")
Dataset.compana.available <- Dataset.compana[,c(1,3:9)]
colnames(Dataset.compana.available) <- c("Nest_id", "Winter_wheat_percentage", "Sugar_beet_percentage", "Corn_percentage", "Annual_flower_strip_percentage", "Field_path_percentage", "Winter_barley_percentage", "Other_percentage")

Dataset.compana.used <- Dataset.compana[,c(1,10:16)]
colnames(Dataset.compana.used) <- c("Nest_id", "Winter_wheat_percentage", "Sugar_beet_percentage", "Corn_percentage", "Annual_flower_strip_percentage", "Field_path_percentage", "Winter_barley_percentage", "Other_percentage")


#Run compositional analysis (Please note: results might slightly differ from those given in the manuscript due to data randomisation)
Compositional.Analysis <- compana(Dataset.compana.used[, c(2:8)], Dataset.compana.available[, c(2:8)], test = "randomisation", rnv = 0.001, nrep = 1000, alpha = 0.05)
print(Compositional.Analysis$test)
print(Compositional.Analysis$rank)
print(Compositional.Analysis$rmv)
print(Compositional.Analysis$rm)




